[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItemsEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 1122

`public constructor TListItemsEnumerator.Create(`
`AItems: TListItems`
`);`

## Arguments

`AItems` |  | Container with the list items navigated in the enumerator.

## Description

On exit, the internal position for the enumerator is set to -1. Use MoveNext to position the enumerator on its initial TListItem value prior to accessing the Current property in the enumerator.